Bug Hunting Session
Bug 98440 - Copy and Paste of table rows un-does merging
Summary: Copy and Paste of table rows un-does merging
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Cell-Management
  Show dependency treegraph
 
Reported: 2016-03-05 06:44 UTC by Jim Avera
Modified: 2018-12-24 17:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
sample odt file (9.57 KB, application/vnd.oasis.opendocument.text)
2016-03-06 18:30 UTC, Usama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Avera 2016-03-05 06:44:01 UTC
If a row is copied and pasted onto another row in a Table, the text and formatting is copied as expected.

However merged cells are un-merged, so the text ends up in the wrong columns, and some text is duplicated.

STEPS TO REPRODUCE:

1. Start Writer, insert a table with (say) 5 rows and 5 columns
2. Select two adjacent cells in a row, click the "Merge" icon (or Table->Merge).\

   Insert unique text into every visible cell in the row

3. Select all cells in the row.  Control-C to copy
4. Select all cells in another row.  Control-P to paste

RESULTS:  The merged-ness of the copied cells is lost, and text is pasted into the wrong cells.  Text in the first column is duplicated in the last column

EXPECTED RESULTS: The pasted-onto row should look exactly like the source row.
Comment 1 Usama 2016-03-06 18:30:12 UTC
Created attachment 123352 [details]
sample odt file

Hello Jim,

Thank you for reporting the bug. I can confirm that the bug is present in master.
sample file is attached.

I noticed that after pasting the content of the newly created cell after splitting is copied from the first cell in the row.

Version: Version: 5.2.0.0.alpha0+
OS: Ubuntu 15.10
Comment 2 QA Administrators 2018-07-02 02:36:44 UTC Comment hidden (obsolete)
Comment 3 Jim Avera 2018-07-02 07:11:18 UTC
Bug is still present in master (6.2.0.0.alpha0 of 7/1/2018)
Comment 4 Timur 2018-12-24 17:09:08 UTC
Still in 6.3+. This is data loss.